Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 374197 - sys-fs/ntfs3g should optionally (symlink USE flag) add /sbin/mount.ntfs link to /bin/ntfs-3g
Summary: sys-fs/ntfs3g should optionally (symlink USE flag) add /sbin/mount.ntfs link ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-06 02:04 UTC by Claudio Roberto França Pereira
Modified: 2012-03-11 19:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio Roberto França Pereira 2011-07-06 02:04:47 UTC
Currently, the ntfs-3g ebuild installs ntfs-3g and add mount.ntfs-3g symlink so that "mount -t ntfs-3g" works correctly. But mount autodetect tries to mount NTFS partitions as "-t ntfs".
I think that the ntfs-3g package should also add the /sbin/mount.ntfs symlink, maybe toggled by the symlink USE flag or something. I don't wanna mess with the sbin directory myself, although this is a pretty safe change, it all starts with little things before getting really messy.

Reproducible: Always
Comment 1 Claudio Roberto França Pereira 2011-07-06 14:42:01 UTC
Thinking over the problem, I think that creating another USE flag is inappropriate. Using the ntfsprogs USE flag to toggle this behavior should be okay. What do you think?
Comment 2 Claudio Roberto França Pereira 2011-07-06 14:56:47 UTC
I've found out about the udev rules file, and it's enough to make KDE automount devices correctly, but from the terminal, it's not yet automatic. Would making the mount.ntfs symlink break anything?
Comment 3 SpanKY gentoo-dev 2011-07-08 21:21:49 UTC
this will be fixed automatically once ntfs3g and ntfsprogs are merged.  not sure we want to bother with symlinks in the meantime.
Comment 4 Claudio Roberto França Pereira 2011-07-08 21:53:11 UTC
Great news. ntfsprogs will merge ntfs3g's internal ntfsprogs then? Alright, the bugs can be changed to WONTFIX then. I can only change it to resolved.
Comment 5 Samuli Suominen gentoo-dev 2012-03-11 19:09:10 UTC
Symlink present in ntfs3g-2012.1.15-r1. Closing.